| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # BinMemInputStream Class Reference Inheritance diagram for BinMemInputStream: [legend] List of all members.
## Public Types
enum | BufOpts { BufOpt_Adopt, BufOpt_Copy, BufOpt_Reference }
## Public Member Functions
| BinMemInputStream (const XMLByte *const initData, const unsigned int capacity, const BufOpts bufOpt=BufOpt_Copy, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
virtual | ~BinMemInputStream ()
void | reset ()
virtual unsigned int | curPos () const
virtual unsigned int | readBytes (XMLByte *const toFill, const unsigned int maxToRead)
unsigned int | getSize () const
## Member Enumeration Documentation
enum BinMemInputStream::BufOpts
  Enumerator:
  BufOpt_Adopt |
  BufOpt_Copy |
  BufOpt_Reference |
## Constructor & Destructor Documentation
BinMemInputStream::BinMemInputStream | ( | const XMLByte *const | initData,
|  | const unsigned int | capacity,
|  | const BufOpts | bufOpt = `BufOpt_Copy`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
virtual BinMemInputStream::~BinMemInputStream | ( |  | ) | `[virtual]`
## Member Function Documentation
void BinMemInputStream::reset | ( |  | ) |
unsigned int BinMemInputStream::curPos | ( |  | ) | const`[virtual]`
Implements BinInputStream.
virtual unsigned int BinMemInputStream::readBytes | ( | XMLByte *const | toFill,
|  | const unsigned int | maxToRead |
| ) |  |  | `[virtual]`
Implements BinInputStream.
unsigned int BinMemInputStream::getSize | ( |  | ) | const
The documentation for this class was generated from the following file: BinMemInputStream.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.